{% extends 'base.html.twig' %}

{% block title %}{% endblock %}

{% block body %}
<body class="body-page-produit">
<aside class="container">
        
        <div class="mangatheque-title">
            <a href="{{ path('app_home') }}" class="btn">MangaDex</a>
        </div>
    
        <nav>
            <ul class="nav-ul">
                 <li class="portfolio-buttons"><i class="far fa-newspaper fa-2x"></i><a href="{{ path('app_home') }}">Nouveautés</a></li>
                <li class="portfolio-buttons"><i class="fas fa-book fa-2x"></i><a href="{{ path('app_home_collection') }}">Collection</a></li>
                <li class="portfolio-buttons"><i class="fas fa-search fa-2x"></i><a href="{{ path('app_home_recherche') }}">Recherche</a></li>
                <li class="portfolio-buttons"><i class="fas fa-shopping-basket fa-2x"></i><a href="{{ path('app_home_panier') }}">Panier</a></li>
            </ul>
        </nav>

        
        
        <div class="account">
                <p><i class="fas fa-user-circle"></i> 
                {% if app.user %}
                    <a href="{{ path('app_home_account') }}">Compte</a></p>   
                {% else %}
                    <a href="{{ path('app_register') }}">Se Connecter</a></p>      
                {% endif %}
                
                
                 
        </div>
        
    </aside>

    <section>

        <div class="top-div-page-produit">
            <a href="{{ path('app_home') }}"><i class="fas fa-arrow-left"></i>{{ product.name }}</a>
        </div>
        
        <p class="line"></p>

        <div class="container-flex-page-produit">
            <div class="card-page-produit">
                <div class="img-page-produit">
                    <div>
                    <img src="{{ asset('uploads/product/'~ product.picture) }}" alt="">
                    </div>
                    {# <div class="div-btn-ajout-page-produit">
                        <button id="ajout-btn-past"class="btn-ajout-page-produit3"><i class="fas fa-arrow-left"></i>Tome X</button>
                        <button id="ajout-btn-next"class="btn-ajout-page-produit4">Tome X<i class="fas fa-arrow-right"></i></button>
                    </div> #}
                </div>
                <div class="detail-page-produit">
                    <h1>{{ product.name }}</h1>
                    <p>Numéro du tome: 1</p>
                    <p>{{ product.description }}</p>
                    <p>{{ product.rating }}</p>
                    <h1>Auteur :</h1>
                    <p><a style="color:red;text-decoration:none;" href="{{ path('app_author_manga', {'id': author.id})}}">{{ product.author.name }}</a></p>
                    {# <a href="{{ path('app_author_manga')}}">{{ product.author.name }}</a> #}
                    <h1>Maison d'édition :</h1>
                    <p>{{ product.publisher.name }}</p>
                    <h1>Genre :</h1>
                    <p>{{ product.genre.name }}</p>

                    <p><a style="color:red;text-decoration:none;background-color:white;padding:4px;border-radius:6px;" class="link-detail" href="{{ path('removeProductMangatheque', {'customer': customer.id, 'product': product.id}) }}">Supprimer ce tome de votre collection</a></p>
                </div>
            </div>
        </div>
    </section>
{% endblock %}